export declare class SpwMosaic {
    el: HTMLSpwMosaicElement;
    /** Liste des éléments à afficher dans la mosaïque */
    items?: any;
    /** Active le mode "masonry" pour une mise en page en grille ajustable */
    isMasonry?: boolean;
    /** Nombre de colonnes à afficher en vue mobile */
    colsMobile: number;
    /** Nombre de colonnes à afficher en vue tablette */
    colsTablet: number;
    /** Nombre de colonnes à afficher en vue desktop */
    colsDesktop: number;
    private masonry;
    private observer;
    initialized: boolean;
    itemsChanged(newValue: any[], oldValue: any[]): void;
    isMasonryChanged(newValue: boolean): void;
    waitForImages(): Promise<void>;
    private emitConfigurationChanged;
    configurationChanged(): void;
    private refreshMasonryLayout;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    disconnectedCallback(): void;
    initializeMasonry(): Promise<void>;
    private updateMasonryLayout;
    private destroyMasonry;
    private observeSlotChanges;
    private get elementClass();
    render(): any;
}
